Bug 1026180 - when run `rhc env set= -a $appname`, it return ok and new-added variables can list under `rhc env list `
when run `rhc env set= -a $appname`, it return ok and new-added variables can...
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 01:33 EST by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-11 17:41:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-11-04 01:33:09 EST
Description of problem:
when add a env var via `rhc env set= -a $appname`, it return ok, and new-added variables can list under `rhc env list`
# rhc env set= -a app1
Setting environment variable(s) ... done
# rhc env list -a app1
set=

But `rhc env-set= -a $appname` can not add successfully.


Version-Release number of selected component (if applicable):
STG(devenv-stage_549) 
rhc 1.16.9
How reproducible:
always


Steps to Reproduce:
1.Create an app
2.set variables like following:
rhc env set= -a $appname
3.check variables under `rhc env list`

Actual results:
# rhc env set= -a app1
Setting environment variable(s) ... done
# rhc env list -a app1
set=

Expected results:
It can not add successfully.

Additional info:
Comment 1 Jordan Liggitt 2014-07-11 15:52:58 EDT
`rhc env set= -a app1` should be invalid syntax. Instead, it is matching the `rhc env set` command, then treating "set=" as an argument as well.

Problem is in Commander::Runner.valid_command_names_from, which matches the full command against word boundaries, so "env set\b" matches "env set=". A bug against Commander is probably in order.

Note You need to log in before you can comment on or make changes to this bug.